### Method

# Gtk Button set_label

#### Declaration [src]

    void
    gtk_button_set_label (
      GtkButton* button,
      const char* label
    )

#### Description [src]

Sets the text of the label of the button to `label`.

This will also clear any previously set labels.

Sets property | `Gtk.Button:label`

#### Parameters

`label` | `const char*`
| A string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.